couchdb-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Julian Moritz <maili...@julianmoritz.de>
Subject Re: Installing couchdb on Ubuntu
Date Tue, 16 Mar 2010 21:47:40 GMT
Hi,

Brian Candler schrieb:
> On Tue, Mar 16, 2010 at 07:20:16PM +0100, Julian Moritz wrote:
>> I've just wanted to install couchdb on ubuntu. The problem is it wants
>> me to install libmozjs-dev, but then apt removes some very important
>> packages:
> 
> If you're building it yourself, don't install libmozjs-dev. The following
> script, or something like it, should do:
> 
> ./bootstrap &&
> LD_RUN_PATH=/usr/lib/xulrunner-1.9.1.8 ./configure \
>   --with-js-lib=/usr/lib/xulrunner-1.9.1.8 \
>   --with-js-include=/usr/lib/xulrunner-devel-1.9.1.8/include &&
> LD_RUN_PATH=/usr/lib/xulrunner-1.9.1.8 make &&
> sudo rm -rf /usr/local/lib/couchdb/erlang/lib/couch-* &&
> sudo make install &&
> sudo /usr/local/etc/init.d/couchdb restart
> 

all right, will try that. The main problem with the couchdb-package
shipped with ubuntu is, that it is an old version, not the 0.10.1.

regards
Julian

Mime
View raw message